%global momorel 7

Summary: Meta package for prepare build env used by buildtools (ex. OmoiKondara)
Name: build-momonga
Version: 1
Release: %{momorel}m%{?dist}
License: Public Domain
Group: Applications/System
URL: http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# this packages name from http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/requires.html
Requires: ruby
Requires: ruby-rpm
Requires: ruby19
Requires: ruby19-rpm
Requires: gcc
Requires: gcc-c++
Requires: gcc-objc
Requires: gcc-objc++
Requires: gcc-gfortran
Requires: gcc3.2
Requires: gcc3.2-c++
Requires: gcc3.4
Requires: gcc3.4-c++
Requires: gcc-java
Requires: subversion
Requires: rpm-devel
Requires: rpm-build
Requires: glibc-devel
Requires: patch
Requires: automake autoconf
Requires: libtool
Requires: openssh
Requires: lftp wget ncftp aria2
#Requires: w3m
Requires: momonga-rpmmacros
Requires: popt-devel

%description
Usage exapmle.
1. install Momonga Linux
2. yum install -y build-momonga (and yum install -y '*')
3. cd $TOPDIR
4. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/tools/
5. cd tools ; make ; cd - (or cp v2/rpmvercmp . )
6. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/pkgs/
7. cd pkgs
8. cp ../ools/example.OmoiKondara .OmoiKondara # and edit .OmoiKondara config file
8. ../tools/v2/OmoiKondara2 <options> <packages>

%files

%changelog
* Sat Jul 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1-7m)
- rename ruby19-rpm

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-6m)
- rebuild against gcc43

* Fri Mar 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-5m)
- add Requires: popt-devel
- add Requires: aria2

* Tue Feb  5 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-4m)
- add Requires: ruby19 and Requires: ruby-rpm19

* Fri Jul  6 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-3m)
- add gcc* and ncftp and rpm-build

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-2m)
- add ruby-rpm , momonga-rpmmacros

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-1m)
- first made for momonga
